/* ----------------------------------------------------------------
官網首頁使用的CSS
-----------------------------------------------------------------*/


@charset "UTF-8";

.areaPriceSummary {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.SummaryTitle {
    font-size: var(--ct-t-5);
    display: flex;
    flex-direction: row;
}

.noticeIcon {
    font-size: var(--ct-t-small);
}

.summaryNote {
    font-size: var(--ct-t-basic);
}

.priceCategoryMenu {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: center;
    align-items: flex-end;
    padding: 1rem 1rem;
}

.activeBlue {
    border: 2px solid rgb(76 201 255);
}

    .activeBlue > .btnTitle {
        color: rgb(76 201 255);
    }

.activeBlue2 {
    border: 2px solid rgb(60 160 230);
}

    .activeBlue2 > .btnTitle {
        color: rgb(60 160 230);
    }

.activeGreen {
    border: 2px solid rgb(90 175 33);
}

    .activeGreen > .btnTitle {
        color: rgb(90 175 33);
    }

.activeOrange {
    border: 2px solid rgb(221 121 36);
}

    .activeOrange > .btnTitle {
        color: rgb(221 121 36);
    }

.tabGreen:hover {
    border: 2px solid rgb(90 175 33);
}

    .tabGreen:hover > .btnTitle {
        color: rgb(90 175 33);
    }

.tabBlue:hover {
    border: 2px solid rgb(76 201 255);
}

    .tabBlue:hover > .btnTitle {
        color: rgb(76 201 255);
    }

.tabBlue2:hover {
    border: 2px solid rgb(60 160 230);
}

    .tabBlue2:hover > .btnTitle {
        color: rgb(60 160 230);
    }

.tabBrown:hover {
    border: 2px solid rgb(221 121 36);
}

    .tabBrown:hover > .btnTitle {
        color: rgb(221 121 36);
    }


.graphSection {
    display: flex;
    flex-direction: column;
    padding: 1rem 1rem 2rem 1rem;
    border-radius: 6px;
    box-shadow: var(--middle-shadow);
    margin: 1rem 0rem 0rem 0rem;
    background-color: white;
}

.graphTitleSec {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.graphTitle {
    display: flex;
    justify-content: center;
    gap: 0.2rem;
}

.priceArea_selectBox {
    display: flex;
    justify-content: flex-end;
    padding-top: 0.5rem;
    align-items: center;
    z-index: 5;
}

#selectChartYear {
    border: none;
    border-bottom: 1px solid var(--cnvs-contrast-300);
    padding: 0 10px;
}

#selectTransactionHtcName {
    padding: 5px 33px 5px 6px !important;
}

.priceArea__real .map__objlist .objlist__func .funcR .sortBtn,
.list__sort_trans .sortBtn_trans {
    display: block;
    position: relative;
    font-size: var(--ct-t-basic);
    color: var(--cnvs-contrast-600);
    padding: 10px 26px 10px 0px;
    z-index: 3;
}

    .priceArea__real .map__objlist .objlist__func .funcR .sortBtn:before,
    .list__sort_trans .sortBtn_trans:before {
        position: absolute;
        top: 36%;
        right: 10px;
        width: 8px;
        height: 8px;
        display: inline-block;
        content: "";
        border-right: 1px solid #666;
        border-top: 1px solid #666;
        -webkit-transform: rotate(135deg);
        -ms-transform: rotate(135deg);
        transform: rotate(135deg)
    }

    .priceArea__real .map__objlist .objlist__func .funcR .sortBtn.on,
    .list__sort_trans .sortBtn_trans.on {
        background-color: #fff;
        border: 1px solid #44b1ae;
        border-bottom: 1px solid #fff;
    }

        .priceArea__real .map__objlist .objlist__func .funcR .sortBtn.on:before,
        .list__sort_trans .sortBtn_trans.on:before {
            top: 45%;
            -webkit-transform: rotate(-45deg);
            -ms-transform: rotate(-45deg);
            transform: rotate(-45deg)
        }

    .priceArea__real .map__objlist .objlist__func .funcR .sortBtn:hover,
    .list__sort_trans .sortBtn_trans:hover {
        text-decoration: none
    }

.priceArea__real .map__objlist .objlist__func .funcR .sortPanel,
.list__sort_trans .sortPanel_trans {
    display: none;
    position: absolute;
    top: 45px;
    right: 0;
    width: 236px;
    line-height: 28px;
    padding: 20px 7px 15px 7px;
    border: 1px solid var(--cnvs-contrast-300);
    background-color: #fff;
    z-index: 2;
    border-radius: 0.5rem;
    box-shadow: var(--small-shadow);
}

    .priceArea__real .map__objlist .objlist__func .funcR .sortPanel a,
    .list__sort_trans .sortPanel_trans a {
        display: block;
        padding: 0 10px;
        font-size: 16px
    }

        .priceArea__real .map__objlist .objlist__func .funcR .sortPanel a:hover,
        .priceArea__real .map__objlist .objlist__func .funcR .sortPanel a.on,
        .list__sort_trans .sortPanel_trans a:hover,
        .list__sort_trans .sortPanel_trans a.on {
            text-decoration: none;
            color: #fff;
            background-color: #44b1ae
        }

.btnTitle {
    font-size: var(--ct-t-6);
    color: var(--cnvs-contrast-600);
}

.btnInfo {
    font-size: var(--ct-t-basic);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.graphTitle > span {
    display: flex;
    line-height: 100%;
    align-items: flex-end;
}

.graph {
    display: flex;
    flex-direction: row;
    height: 300px;
    justify-content: space-evenly;
}

    .graph > .chartBox {
        display: flex;
        width: 1200px;
        flex-direction: column;
    }

        .graph > .chartBox > .charUnitSection {
            display: flex;
            justify-content: space-between;
            padding: 0 2.5rem 0 2rem;
            margin-bottom: -0.5rem;
            margin-top: 0.5rem;
            color: var(--cnvs-contrast-600);
        }

.c3-axis-y-label, .c3-axis-y2-label {
    display: none;
}

.priceArea__lineChart .lineChart__notice {
    font-size: var(--ct-t-small);
    padding: 3rem 0 1rem 0 !important;
    line-height: 22px;
    color: var(--cnvs-contrast-600);
}

.divTransactionChart g {
    z-index: -1;
}

.leftText {
    display: flex;
    position: absolute;
    z-index: 100;
    width: 1rem;
    height: 100%;
    align-items: flex-start;
    left: 1rem;
    padding-top: 3rem;
    font-size: var(--ct-t-basic);
}

.rightText {
    display: flex;
    right: 6rem;
    position: absolute;
    z-index: 100;
    width: 1rem;
    height: 100%;
    align-items: flex-start;
    right: 1rem;
    padding-top: 3rem;
    font-size: var(--ct-t-basic);
}

#trentCanvas {
    display: flex;
    flex: 1 0 0;
    height: 100%;
    width: 100%;
}

.graphDiscription {
    display: flex;
    width: 100%;
    padding: 1rem 2rem;
    font-size: var(--ct-t-small);
}

    .graphDiscription > ul {
        display: flex;
        gap: 0.2rem;
        flex-direction: column;
    }

.map-price-section {
    margin: 2rem 0;
}

.map-price-row {
    display: flex;
    flex-direction: row;
    min-height: 400px;
    height: 420px;
}

.map-price-info {
    display: flex;
    width: 480px;
    flex-direction: column;
}

.map-price-top {
    display: flex;
    flex-direction: row;
    flex: 1 0 0;
    max-height: 45px;
    border-bottom: 1px solid var(--cnvs-contrast-300);
    justify-content: space-between;
    padding: 0 0.5rem;
    align-items: center;
}

    .map-price-top > .funcR > .sortBtn {
        background-color: transparent;
        margin-right: 0.5rem;
    }

        .map-price-top > .funcR > .sortBtn.on {
            border: 1px solid var(--cnvs-contrast-300);
        }

    .map-price-top > .sortBtn:before {
        margin-left: 9rem;
        right: unset;
    }

    .map-price-top > .funcR > .sortPanel {
        border: 1px solid var(--cnvs-contrast-300);
    }

        .map-price-top > .funcR > .sortPanel > a {
            color: var(--cnvs-contrast-600);
        }

.map-price-list {
    display: flex;
    flex-direction: column;
    flex: 1 0 0;
    overflow-y: scroll;
}

    .map-price-list > .price-item {
        display: flex;
        flex-direction: column;
        flex: 1 0 0;
        border-bottom: 1px solid var(--cnvs-contrast-300);
        padding: 0.5rem;
        max-height: 115px;
    }

.price-item-top {
    display: flex;
    justify-content: space-between;
}

.price-item-bottom {
    display: flex;
    flex-direction: row;
}

.deal-house-detail:first-child {
    display: flex;
    padding: 0 0.5rem 0 0;
    border-left: none;
}

.deal-house-detail {
    display: flex;
    padding: 0 0.5rem;
    border-left: 1px solid var(--cnvs-contrast-300);
}

.page-search-section {
    flex-wrap: wrap !important;
    align-content: center !important;
}

    .page-search-section > .condition-input-group {
        max-width: 50%;
        flex-wrap: nowrap;
    }

.selectPanel label span:before {
    content: '';
    width: 18px;
    height: 18px;
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    border: 1px solid #aaa;
    border-radius: 10px;
}

.selectPanel label span:after {
    content: '';
    width: 9px;
    height: 9px;
    position: absolute;
    top: 4px;
    left: 4px;
    border: 3px solid #e60012;
    border-top: none;
    border-right: none;
    background: transparent;
    opacity: 0;
    /* -webkit-transform: rotate(-45deg); */
    -ms-transform: rotate(-45deg);
    /* transform: rotate(-45deg); */
    background-color: #e60012;
    border-radius: 5px;
}


/*趨勢圖樣式*/
.c3 path, .c3 line {
    stroke: var(--cnvs-contrast-300);
}

.c3-xgrid, .c3-ygrid {
    stroke-dasharray: 0;
}

.c3 text {
    font-size: var(--ct-t-small);
    fill: var(--cnvs-contrast-600);
}
/*修改舊樣式*/
.priceArea__search {
    background-color: white;
    display: flex;
    height: fit-content;
    margin: 1.5rem 0;
    gap: 1rem;
    justify-content: center;
}

    .priceArea__search > .searchbox {
        display: flex;
        flex-direction: column;
        position: relative;
        height: fit-content;
        padding: 0;
        padding-left: 0px !important;
        gap: 1rem;
    }

    .priceArea__search > .itemWrap searchbox > .title {
        color: var(--cnvs-themecolor);
        font-size: var(--ct-t-5)
    }

.input-condition > .selectBtn {
    padding: 0 40px 0 5px !important;
    font-size: var(--ct-t-basic);
}

    .input-condition > .selectBtn > span {
        display: inline-block;
        height: 100%;
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-size: var(--ct-t-basic);
    }

.priceArea__search > .searchbox > .condition-input-group {
    justify-content: center;
    max-height: fit-content;
}

    .priceArea__search > .searchbox > .condition-input-group > .search-bar > .ipt1Wrap {
        display: flex;
        flex-direction: column;
    }

    .priceArea__search > .searchbox > .condition-input-group > .search-bar {
        display: flex;
        max-width: 400px;
        padding: 0 0.5rem;
        min-width: 50%;
        font-size: var(--ct-t-basic);
    }

.priceArea_priceBox {
    display: flex;
    flex-direction: row;
    font-size: var(--ct-t-basic);
    color: var(--cnvs-contrast-600);
    justify-content: space-between;
    align-items: center;
}

#printPriceBtn {
    margin-right: 1rem;
}

.priceArea_priceBox > .navL, .priceArea_priceBox > .navR {
    font-size: var(--ct-t-basic);
    color: var(--cnvs-contrast-600);
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 3px;
}

.priceArea__real .map__objlist {
    width: 480px;
    position: absolute;
    top: 0;
    right: -481px;
    height: 100%;
    border-left: 1px solid var(--cnvs-contrast-300);
    background-color: white;
    z-index: 2;
    transition: all 0.5s;
}

.recommandObject > .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.priceLower a.more {
    position: unset;
}

#mapObjlist .item__add {
    padding: unset;
    font-size: var(--ct-t-basic);
    margin-right: unset;
}

.low__list > .slider1 > .bx-wrapper {
    max-width: 100% !important;
}

.icon-exclamation {
    width: 16px !important;
    height: 16px !important;
    background-size: contain;
}

.mobilePriceCategory {
    display: none;
}

.lineChart__notice {
    padding: 1rem !important;
}

    .lineChart__notice > ul {
        margin-bottom: 0px !important;
    }

.c3-axis-y2-label {
    transform: translate(20px,-65px) !important;
}

#dynamicMap {
    width: 100% !important;
    height: 400px !important;
}

.gomp-canvas-container {
    width: 100% !important;
    height: 400px !important;
}

.real__list .list__thRow .thRow__td a.up:after {
    position: absolute;
    top: 50%;
    right: 0;
    width: 0;
    content: '';
    border-width: 0 5px 9px 5px;
    border-style: solid;
    border-color: transparent transparent white transparent;
    margin: -5px 0 0 0
}

.real__list .list__thRow .thRow__td a.down:after {
    position: absolute;
    top: 50%;
    right: 0;
    width: 0;
    content: '';
    border-width: 9px 5px 0 5px;
    border-style: solid;
    border-color: white transparent transparent transparent;
    margin: -5px 0 0 0
}


/*平板版*/
@media (max-width: 950px) {
    .priceArea__search > .searchbox {
        display: flex !important;
    }

        .priceArea__search > .searchbox > .condition-input-group {
            max-height: fit-content;
            margin-top: 15px;
            flex-direction: row;
            gap: 10px;
        }
}


@media (max-width: 761px) {
    .SummaryTitle {
        flex-direction: column;
        align-items: center;
    }

    .graphSection {
        display: none;
    }

    .condition-input-group > .search-bar {
        min-width: 30% !important;
    }

    .mobilePriceCategory {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 1rem;
        padding: 1rem 0.5rem 0rem 0.5rem;
    }

        .mobilePriceCategory > .categorySection {
            display: flex;
            justify-content: center;
            gap: 1rem;
        }

            .mobilePriceCategory > .categorySection > .roundTabItemL {
                flex: 1 0 0;
            }
    /*舊樣式*/
    .real__list .list__tdRow .tdRow__td {
        font-weight: 400;
        font-size: var(--ct-t-basic);
    }
    /*實價登錄表*/
    .list__tdRow {
        font-weight: 400 !important;
        font-size: var(--ct-t-basic);
        color: var(--cnvs-contrast-600);
    }

        .list__tdRow > .tdRow__td {
            font-weight: normal !important;
            color: var(--cnvs-contrast-600) !important;
            font-size: var(--ct-t-basic) !important;
        }

        .list__tdRow > .dealAddr {
            font-weight: 400;
            color: var(--cnvs-themecolor) !important;
            font-size: var(--ct-t-6) !important;
        }

            .list__tdRow > .dealAddr::before {
                display: none;
            }

        .list__tdRow > .dealPrice {
            font-weight: 400;
            color: var(--cthouse-orange) !important;
            font-size: var(--ct-t-6) !important;
        }

            .list__tdRow > .dealPrice::before {
                font-weight: 400 !important;
                color: var(--cnvs-contrast-600) !important;
                font-size: var(--ct-t-6) !important;
            }

        .list__tdRow > .dealDate {
            font-weight: 400;
            color: var(--cnvs-contrast-600) !important;
            font-size: var(--ct-t-basic) !important;
        }

        .list__tdRow > .dealType {
            font-weight: 400;
            color: var(--cnvs-themecolor) !important;
            font-size: var(--ct-t-basic) !important;
        }

            .list__tdRow > .dealType::before {
                display: none;
            }

    .real__list.priceArea_list .list__tdRow .tdRow__td:nth-child(9) {
        order: 9;
        text-align: right;
        padding: 0 0 3px 0;
        width: auto;
        float: right;
        margin: 0;
    }
}

@media (max-width: 520px) {
    .priceArea__search > .searchbox {
        gap: 0;
        padding: 0 0.5rem;
    }

        .priceArea__search > .searchbox > .condition-input-group {
            margin-top: 5px;
        }

            .priceArea__search > .searchbox > .condition-input-group > .input-condition {
                flex: 1 0 0;
                font-size: var(--ct-t-basic);
            }

            .priceArea__search > .searchbox > .condition-input-group > .search-bar {
                max-width: 45%;
                min-width: 40%;
                flex: 1 0 0;
                font-size: var(--ct-t-basic);
            }

            .priceArea__search > .searchbox > .condition-input-group > .ct-green-button {
                flex: 1 0 0;
                margin: 0 0.5rem;
            }

    .mobilePriceCategory > .categorySection {
        flex-wrap: wrap;
    }

        .mobilePriceCategory > .categorySection > .roundTabItemL {
            min-width: 160px;
        }

    .areaPriceSummary {
        padding: 0 1rem;
    }

        .areaPriceSummary > .SummaryTitle {
            padding: 0 1rem;
            align-items: center;
        }

    .summaryNote {
        display: none;
    }

    .priceCategoryMenu {
        display: none;
    }

    .searchbox > .container-heading-h5 {
        font-size: var(--ct-t-6);
        padding: 0 0.5rem;
    }

    .detail-row-title > .container-heading-h5 {
        font-size: var(--ct-t-6);
    }

    .priceArea_list {
        margin: 0.5rem 0;
    }

    .sortBtn_trans {
        border: none !important;
        margin-bottom: 0 !important;
    }

    .priceArea_list {
        border: none;
    }

    #headerTransaction_detail {
        display: none !important;
    }

    .list__tdRow {
        display: flex !important;
        flex-wrap: wrap !important;
        border-bottom: none !important;
        border-top: 1px solid #e3e3e3;
        padding: 10px 6px;
        margin-bottom: 15px;
    }

        .list__tdRow > .tdRow__td {
            display: flex !important;
            height: fit-content !important;
            padding: 1px 0 !important;
        }

    .dealDate {
        text-wrap: nowrap !important;
        width: fit-content !important;
    }

    .dealAddr, .dealPrice {
        width: 100% !important;
        flex: 1 0 0 !important;
        min-width: 100%;
        text-align:left!important;
    }

    .dealType {
        float: right;
        position: absolute !important;
        right: 10px;
        justify-content: flex-end;
        text-wrap:nowrap;
    }
    .dealUniPrice, .dealAge, .dealTotalSize, .dealLandSize{
        width:fit-content!important;
        margin-right:15px;
    }

    .priceArea_priceBox > .navR {
        justify-content: flex-end;
    }

    #selectTransactionHtcName {
        width: 12rem;
        padding: 8px;
    }

    .real__list .list__tdRow .tdRow__td {
        margin-top:2px;
        margin-bottom:2px;
    }
    .real__list.priceArea_list .list__tdRow .tdRow__td:nth-child(9){
        margin:2px;
    }
}
